<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "education_name".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "EducationName".
 *
 * Columns in table "education_name" available as properties of the model,
 * followed by relations of table "education_name" available as properties of the model.
 *
 * @property integer $id
 * @property integer $localization_id
 * @property string $name
 *
 * @property Localization $localization
 * @property ProviderEducation[] $providerEducations
 */
abstract class BaseEducationName extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'education_name';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'EducationName|EducationNames', $n);
    }

    public static function representingColumn()
    {
        return 'name';
    }

    public function rules()
    {
        return array(
            array('name', 'required'),
            array('localization_id', 'numerical', 'integerOnly' => true),
            array('name', 'length', 'max' => 255),
            array('localization_id', 'default', 'setOnEmpty' => true, 'value' => null),
            array('id, localization_id, name', 'safe', 'on' => 'search'),
        );
    }

    public function relations()
    {
        return array(
            'localization' => array(self::BELONGS_TO, 'Localization', 'localization_id'),
            'providerEducations' => array(self::HAS_MANY, 'ProviderEducation', 'education_name_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'localization_id' => null,
            'name' => Yii::t('app', 'Name'),
            'localization' => null,
            'providerEducations' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('localization_id', $this->localization_id);
        $criteria->compare('name', $this->name, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria,
        ));
    }

}
